PDA

View Full Version : compatibility issue


gusar
02-05-2004, 12:55 AM
hello,

I wonder how much are scripts for max compatibile in other versions then the ver they were written for..
mean, if some script was written for max v3, how good chances are it will work in max v5 or 6....
so, I tried a few, and they were working ( or almost ), but maybe I was lucky ?

thx

Bobo
02-06-2004, 01:04 AM
Originally posted by gusar
hello,

I wonder how much are scripts for max compatibile in other versions then the ver they were written for..
mean, if some script was written for max v3, how good chances are it will work in max v5 or 6....
so, I tried a few, and they were working ( or almost ), but maybe I was lucky ?

thx


Since large parts of the Max 3, 4, 5 and 6 UI are scripted, ensuring MXS compatibiliy is usually very important during development of new versions. There were very few changes made that could break a Max R3 script in higher versions.
Max 4 scripts should work perfectly well in 5 and 6 (or even better thanks to better memory management!)

So I would say - if you find a script for max 3 that does NOT work in 4,5 or 6, then you have been UNlucky ;o)

There were major changes between R2.5 and 3, but that is another story...

Cheers,
Bobo

gusar
02-06-2004, 03:27 AM
great response

thanks again

CGTalk Moderation
01-17-2006, 08:00 AM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.